Bug 98455 - Wrong "AddLanguage cz .cz" in the default httpd.conf
Summary: Wrong "AddLanguage cz .cz" in the default httpd.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd   
(Show other bugs)
Version: 9
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL: http://ftp.ics.uci.edu/pub/ietf/http/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-02 16:32 UTC by Jan "Yenya" Kasprzak
Modified: 2007-03-27 04:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-12 11:05:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2003-07-02 16:32:03 UTC
Description of problem:
The default configuration of Apache in Red Hat 9 has an incorrect
directive for the Czech Language. There is the following line in httpd.conf:

AddLanguage cz .cz

However, according to ISO 639, the official abbreviation of the Czech language
is "cs", not "cz". I the Czech republic the locale "cs" or "cs_CZ" or
"cs_CZ.ISO8859-2" is used (the "CZ" here is the ISO 3166 country code,
not to be confused with ISO 639 language code), and WWW browsers send the
"Accept-Language: cs,en,*" header. So the default configuration should read:

AddLanguage: cs .cs

Version-Release number of selected component (if applicable):
2.4.0-21

Comment 1 Jan "Yenya" Kasprzak 2003-07-02 16:39:06 UTC
Sorry for the confusion - the version-release number should read
2.0.40-21.

Comment 2 Joe Orton 2003-07-07 15:38:15 UTC
Thanks for the report.

Comment 3 Joe Orton 2003-09-12 11:05:14 UTC
This is fixed in Raw Hide, httpd-2.0.47-4 and later.


Note You need to log in before you can comment on or make changes to this bug.